<div> <div *ngIf="showHeader">
  <nz-page-header nzBackIcon class="article" [nzTitle]="'Citizen.Newspaper.Articles' | translate"
    nzSubtitle="{{ 'Social.Newspaper.hereCanViewArticles' | translate }}"></nz-page-header>

  <nz-card nzSize="small">
    <div *ngTemplateOutlet="articleList"></div>
  </nz-card>
</div>

<div *ngIf="!showHeader">
  <div *ngTemplateOutlet="articleList"></div>
</div>

<ng-template #articleList class="article">
  <nz-tabset style="text-align: center;" [nzTabBarExtraContent]="artsTabExtra">
    <nz-tab nzTitle="{{ 'Social.Newspaper.Newest' | translate }}" (nzSelect)="getNewestArticles()"> </nz-tab>
    <nz-tab nzTitle="{{ 'Social.Newspaper.Top' | translate }}" (nzSelect)="getTopArticles()"> </nz-tab>
    <nz-tab [nzTitle]="subsTabTitle" (nzSelect)="getSubscribedArticles()"></nz-tab>
  </nz-tabset>
  <ng-template #subsTabTitle>
    {{ 'Social.Newspaper.Subscribed' | translate }} <nz-tag nzColor="volcano">{{ unreadSubscribedArticlesCount }}</nz-tag>
  </ng-template>
  <ng-template #artsTabExtra>
    <nz-switch [(ngModel)]="showCountryArticles" [nzDisabled]="!countryId" [nzCheckedChildren]="'Economy.Market.Country' | translate"
      nzUnCheckedChildren="'Social.Newspaper.Global' | translate" (ngModelChange)="loadArticles()"></nz-switch>
  </ng-template>

  <div *ngIf="articles === undefined" style="min-height: 50px; padding: 25px">
    <nz-spin [nzSpinning]="true"></nz-spin>
  </div>

  <div *ngIf="articles">
    <nz-alert nzType="info" *ngIf="articles?.length === 0" style="text-align: center;"
      [nzMessage]="'Social.Newspaper.NoArticles' | translate"></nz-alert>

    <div nz-row *ngFor="let i of articles">
      <div nz-col nzSpan="3">
        <nz-avatar [nzShape]="'square'" [nzSize]="'large'" [nzIcon]="'user'" [nzSrc]="i.newspaper?.avatar">
        </nz-avatar>
      </div>
      <div nz-col nzSpan="21">
        <nz-tag [nzColor]="'green'" *ngIf="i.unread">{{ 'Social.Newspaper.New' | translate }}</nz-tag>
        <a href="/article/{{ i.id }}">{{ i.title }}</a>
        <div nz-row>
          <div nz-col nzSpan="9">
            <small>
              <a href="/newspaper/{{ i.newspaper?.id }}">{{ i.newspaper?.name }}</a>
            </small>
          </div>
          <div nz-col nzSpan="4">
            <small><i nz-icon nzType="comment" nzTheme="outline" style="margin-right: 5px" nz-tooltip
                [nzTooltipTitle]="'Social.Newspaper.Comments' | translate"></i>
              {{ i.commentsCount }}</small>
          </div>
          <div nz-col nzSpan="4">
            <small><i nz-icon nzType="caret-up" nzTheme="outline" style="margin-right: 5px" nz-tooltip
                [nzTooltipTitle]="'Social.Newspaper.Votes' | translate"></i>{{ i.votesCount }}</small>
          </div>
          <div nz-col nzSpan="7">
            <small><i nz-icon nzType="clock-circle" nzTheme="outline" style="margin-right: 5px" nz-tooltip
                [nzTooltipTitle]="'Social.Newspaper.publishedGameDay' | translate"></i>{{'Social.Newspaper.Day' | translate}} {{ i.publishGameDay }}</small>
          </div>
        </div>
      </div>
      <nz-divider></nz-divider>
    </div>

    <div *ngIf="showHeader" style="text-align: right; margin-top: 20px" class="articles-pagination">
      <nz-pagination [(nzPageIndex)]="pageIndex" [nzTotal]="totalCount" nzShowSizeChanger [(nzPageSize)]="pageSize"
        (nzPageIndexChange)="loadArticles()" (nzPageSizeChange)="loadArticles()"></nz-pagination>
    </div>
  </div>
</ng-template>